---------------------
PatchSet 1738 
Date: 2001/03/18 22:51:21
Author: adri
Branch: modio
Tag: (none) 
Log:


Fix merging stuff that wasn't picked up automagically.

Members: 
	src/HttpRequest.c:1.2.2.4->1.2.2.5 
	src/cbdata.c:1.2.2.5->1.2.2.6 
	src/client_side.c:1.2.2.24->1.2.2.25 
	src/enums.h:1.2.2.12->1.2.2.13 
	src/neighbors.c:1.2.2.6->1.2.2.7 
	src/fs/hash/store_io_hash.c:1.1.2.5->1.1.2.6 

Index: squid/src/HttpRequest.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/HttpRequest.c,v
retrieving revision 1.2.2.4
retrieving revision 1.2.2.5
diff -u -r1.2.2.4 -r1.2.2.5
--- squid/src/HttpRequest.c	21 Feb 2001 18:46:33 -0000	1.2.2.4
+++ squid/src/HttpRequest.c	18 Mar 2001 22:51:21 -0000	1.2.2.5
@@ -1,6 +1,6 @@
 
 /*
- * $Id: HttpRequest.c,v 1.2.2.4 2001/02/21 18:46:33 adri Exp $
+ * $Id: HttpRequest.c,v 1.2.2.5 2001/03/18 22:51:21 adri Exp $
  *
  * DEBUG: section 73    HTTP Request
  * AUTHOR: Duane Wessels
@@ -37,7 +37,7 @@
 
 CBDATA_TYPE(request_t);
 
-static request_initialised = 0;
+static int request_initialised = 0;
 
 void
 requestInit(void)
@@ -52,7 +52,7 @@
 request_t *
 requestCreate(method_t method, protocol_t protocol, const char *urlpath)
 {
-    request_t *req = CBDATA_ALLOC(request_t, NULL);
+    request_t *req = cbdataAlloc(request_t);
     req->method = method;
     req->protocol = protocol;
     if (urlpath)
Index: squid/src/cbdata.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/cbdata.c,v
retrieving revision 1.2.2.5
retrieving revision 1.2.2.6
diff -u -r1.2.2.5 -r1.2.2.6
--- squid/src/cbdata.c	18 Mar 2001 22:33:31 -0000	1.2.2.5
+++ squid/src/cbdata.c	18 Mar 2001 22:51:21 -0000	1.2.2.6
@@ -1,6 +1,6 @@
 
 /*
- * $Id: cbdata.c,v 1.2.2.5 2001/03/18 22:33:31 adri Exp $
+ * $Id: cbdata.c,v 1.2.2.6 2001/03/18 22:51:21 adri Exp $
  *
  * DEBUG: section 45    Callback Data Registry
  * ORIGINAL AUTHOR: Duane Wessels
@@ -134,7 +134,6 @@
 #define CREATE_CBDATA_FREE(type, free_func) cbdataInitType(CBDATA_##type, #type, sizeof(type), free_func)
     CREATE_CBDATA(acl_access);
     CREATE_CBDATA(aclCheck_t);
-    CREATE_CBDATA(clientHttpRequest);
     CREATE_CBDATA(ConnStateData);
     CREATE_CBDATA(ErrorState);
     CREATE_CBDATA(FwdState);
Index: squid/src/client_side.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/client_side.c,v
retrieving revision 1.2.2.24
retrieving revision 1.2.2.25
diff -u -r1.2.2.24 -r1.2.2.25
--- squid/src/client_side.c	18 Mar 2001 22:33:31 -0000	1.2.2.24
+++ squid/src/client_side.c	18 Mar 2001 22:51:21 -0000	1.2.2.25
@@ -1,6 +1,6 @@
 
 /*
- * $Id: client_side.c,v 1.2.2.24 2001/03/18 22:33:31 adri Exp $
+ * $Id: client_side.c,v 1.2.2.25 2001/03/18 22:51:21 adri Exp $
  *
  * DEBUG: section 33    Client-side Routines
  * AUTHOR: Duane Wessels
@@ -120,6 +120,9 @@
 static void clientProcessRequestDone(clientHttpRequest *http);
 static void clientProcessBody(ConnStateData * conn);
 
+
+CBDATA_TYPE(clientHttpRequest);
+
 static void httpMemFree(void *data)
 {
     clientHttpRequest *h = data;
Index: squid/src/enums.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/enums.h,v
retrieving revision 1.2.2.12
retrieving revision 1.2.2.13
diff -u -r1.2.2.12 -r1.2.2.13
--- squid/src/enums.h	18 Mar 2001 22:33:31 -0000	1.2.2.12
+++ squid/src/enums.h	18 Mar 2001 22:51:21 -0000	1.2.2.13
@@ -1,6 +1,6 @@
 
 /*
- * $Id: enums.h,v 1.2.2.12 2001/03/18 22:33:31 adri Exp $
+ * $Id: enums.h,v 1.2.2.13 2001/03/18 22:51:21 adri Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -743,7 +743,6 @@
     CBDATA_UNDEF = 0,
     CBDATA_acl_access,
     CBDATA_aclCheck_t,
-    CBDATA_clientHttpRequest,
     CBDATA_ConnStateData,
     CBDATA_DigestFetchState,
     CBDATA_ErrorState,
Index: squid/src/neighbors.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/neighbors.c,v
retrieving revision 1.2.2.6
retrieving revision 1.2.2.7
diff -u -r1.2.2.6 -r1.2.2.7
--- squid/src/neighbors.c	18 Mar 2001 22:33:32 -0000	1.2.2.6
+++ squid/src/neighbors.c	18 Mar 2001 22:51:21 -0000	1.2.2.7
@@ -1,6 +1,6 @@
 
 /*
- * $Id: neighbors.c,v 1.2.2.6 2001/03/18 22:33:32 adri Exp $
+ * $Id: neighbors.c,v 1.2.2.7 2001/03/18 22:51:21 adri Exp $
  *
  * DEBUG: section 15    Neighbor Routines
  * AUTHOR: Harvest Derived
@@ -1124,7 +1124,6 @@
     snprintf(url, MAX_URL, "http://%s/", inet_ntoa(p->in_addr.sin_addr));
     fake = storeCreateEntry(url, url, null_request_flags, METHOD_GET,
       REPLY_OBJ_INTERNAL);
-    psstate = CBDATA_ALLOC(ps_state, NULL);
     psstate = cbdataAlloc(ps_state);
     psstate->request = requestLink(urlParse(METHOD_GET, url));
     psstate->entry = fake;
Index: squid/src/fs/hash/store_io_hash.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/fs/hash/Attic/store_io_hash.c,v
retrieving revision 1.1.2.5
retrieving revision 1.1.2.6
diff -u -r1.1.2.5 -r1.1.2.6
--- squid/src/fs/hash/store_io_hash.c	6 Feb 2001 10:08:04 -0000	1.1.2.5
+++ squid/src/fs/hash/store_io_hash.c	18 Mar 2001 22:51:22 -0000	1.1.2.6
@@ -1,6 +1,6 @@
 
 /*
- * $Id: store_io_hash.c,v 1.1.2.5 2001/02/06 10:08:04 adri Exp $
+ * $Id: store_io_hash.c,v 1.1.2.6 2001/03/18 22:51:22 adri Exp $
  *
  * DEBUG: section 79    Storage Manager HASH Interface
  * AUTHOR: Duane Wessels
@@ -42,6 +42,8 @@
 static void storeHashIOCallback(storeIOState * sio, int errflag);
 static void storeHashIOFreeEntry(void *);
 
+CBDATA_TYPE(storeIOState);
+
 /* === PUBLIC =========================================================== */
 
 void
@@ -71,7 +73,8 @@
 	return NULL;
     }
     debug(79, 3) ("storeHashOpen: opened FD %d\n", fd);
-    sio = CBDATA_ALLOC(storeIOState, storeHashIOFreeEntry);
+    CBDATA_INIT_TYPE_FREECB(storeIOState, storeHashIOFreeEntry);
+    sio = cbdataAlloc(storeIOState);
     sio->fsstate = memPoolAlloc(hash_state_pool);
 
     sio->swap_filen = f;
@@ -120,7 +123,8 @@
 	return NULL;
     }
     debug(79, 3) ("storeHashCreate: opened FD %d\n", fd);
-    sio = CBDATA_ALLOC(storeIOState, storeHashIOFreeEntry);
+    CBDATA_INIT_TYPE_FREECB(storeIOState, storeHashIOFreeEntry);
+    sio = cbdataAlloc(storeIOState);
     sio->fsstate = memPoolAlloc(hash_state_pool);
 
     sio->swap_filen = filn;
